<?php
/**
 * Application initializer
 *
 * Please remember that this include file is being loaded *before* the class
 * loader is loading classes from "exceptions", "interfaces" and "main"!
 *
 * @author		Roland Haeder <webmaster@shipsimu.org>
 * @version		0.0
 * @copyright	Copyright (c) 2013 LFDB2 Developer Team
 * @license		GNU GPL 3.0 or any newer version
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

// Get config instance
$cfg = FrameworkConfiguration::getSelfInstance();

// Initialize output system
ApplicationHelper::createDebugInstance('ApplicationHelper');

// This application needs a database connection then we have to simply include
// the inc/database.php script
require($cfg->getConfigEntry('base_path') . 'inc/database.php');

// [EOF]
?>
